ON_CurveProxyHistory Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_object_history.h>`

## Public Member Functions

| ON_CurveProxyHistory ()
| ~ON_CurveProxyHistory ()
void | Destroy ()
bool | Write (ON_BinaryArchive &) const
bool | Read (ON_BinaryArchive &)
void | Dump (ON_TextLog &) const

## Public Attributes

ON_ObjRef | m_curve_ref
bool | m_bReversed
ON_Interval | m_full_real_curve_domain
ON_Interval | m_sub_real_curve_domain
ON_Interval | m_proxy_curve_domain

## Detailed Description

Definition at line 30 of file opennurbs_object_history.h.

## Constructor & Destructor Documentation

## ON_CurveProxyHistory()

ON_CurveProxyHistory::ON_CurveProxyHistory | ( |  | ) |

## ~ON_CurveProxyHistory()

ON_CurveProxyHistory::~ON_CurveProxyHistory | ( |  | ) |

## Member Function Documentation

## Destroy()

void ON_CurveProxyHistory::Destroy | ( |  | ) |

## Dump()

void ON_CurveProxyHistory::Dump | ( | ON_TextLog & |  | ) | const

## Read()

bool ON_CurveProxyHistory::Read | ( | ON_BinaryArchive & |  | ) |

## Write()

bool ON_CurveProxyHistory::Write | ( | ON_BinaryArchive & |  | ) | const

## Member Data Documentation

## m_bReversed

bool ON_CurveProxyHistory::m_bReversed

Definition at line 39 of file opennurbs_object_history.h.

## m_curve_ref

ON_ObjRef ON_CurveProxyHistory::m_curve_ref

Definition at line 38 of file opennurbs_object_history.h.

## m_full_real_curve_domain

ON_Interval ON_CurveProxyHistory::m_full_real_curve_domain

Definition at line 40 of file opennurbs_object_history.h.

## m_proxy_curve_domain

ON_Interval ON_CurveProxyHistory::m_proxy_curve_domain

Definition at line 42 of file opennurbs_object_history.h.

## m_sub_real_curve_domain

ON_Interval ON_CurveProxyHistory::m_sub_real_curve_domain

Definition at line 41 of file opennurbs_object_history.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_object_history.h